> ## Documentation Index
> Fetch the complete documentation index at: https://perps-api.vooi.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Robinhood points summary (totals, last week, and rank)



## OpenAPI

````yaml https://vooi-api-app.fly.dev/swagger/json get /robinhood/points
openapi: 3.1.0
info:
  title: VOOI API
  description: Unified perps API
  version: '1.0'
  contact: {}
servers:
  - url: https://perps-api.vooi.io
security: []
tags: []
paths:
  /robinhood/points:
    get:
      tags:
        - Robinhood
      summary: Get Robinhood points summary (totals, last week, and rank)
      operationId: RobinhoodController_getPoints
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RobinhoodPointsDto'
        '503':
          description: ExchangeApiError
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDTO'
      security:
        - bearer: []
components:
  schemas:
    RobinhoodPointsDto:
      type: object
      properties:
        lastWeekPoints:
          type: number
          description: Points earned during the last completed week
          example: 1250.5
        lastWeekReferralPoints:
          type: number
          description: Points earned from referrals during the last completed week
          example: 125.05
        rank:
          anyOf:
            - type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            - type: 'null'
          description: All-time leaderboard rank; null when the account is not ranked yet
          example: 42
        totalPoints:
          type: number
          description: >-
            Total points earned across the whole points program, updated in real
            time
          example: 18400.25
        totalReferralPoints:
          type: number
          description: Total points earned from referrals across the whole points program
          example: 1840.02
      required:
        - lastWeekPoints
        - lastWeekReferralPoints
        - rank
        - totalPoints
        - totalReferralPoints
      title: RobinhoodPoints
    ErrorResponseDTO:
      type: object
      properties:
        message:
          type: string
          example: 'Invalid order id: 123'
        statusCode:
          example: 503
          type: number
      required:
        - message
      title: ErrorResponse
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.